import { EventListenerPlugin } from "@syntest/module";
import { StorageManager } from "@syntest/storage";
import Yargs = require("yargs");
export type StateStorageOptions = {
    javascriptStateStorageDirectory: string;
};
/**
 * This graphing plugin creates a listener that creates an SVG based on the generated CFG.
 *
 * @author Dimitri Stallenberg
 */
export declare class StateStorageEventListenerPlugin extends EventListenerPlugin {
    private storageManager;
    constructor(storageManager: StorageManager);
    setupEventListener(): void;
    getOptions(tool: string, labels: string[], command: string): Map<string, Yargs.Options>;
    getOptionChoices(): string[];
}
export declare enum OptionGroups {
    StateStorage = "State Storage Options:"
}
//# sourceMappingURL=StateStorageEventListenerPlugin.d.ts.map